org.gitana.platform.support

## Class GitanaObjectImpl

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

Direct Known Subclasses:
  PaymentMethodValidation, PaymentMethodValidationError, TransferConfiguration, TransferDependency

    public class GitanaObjectImpl
    extends Object
    implements GitanaObject

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GitanaObjectImpl()`
`GitanaObjectImpl(com.fasterxml.jackson.databind.node.ObjectNode obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `_objectGetInt(String objectFieldId, String fieldId)`
`protected long` `_objectGetLong(String objectFieldId, String fieldId)`
`protected com.fasterxml.jackson.databind.node.ObjectNode` `_objectGetObject(String objectFieldId, String fieldId)`
`protected String` `_objectGetString(String objectFieldId, String fieldId)`
`protected void` `_objectSet(String objectFieldId, String fieldId, Object value)`
`Object` `get(String fieldId)` Gets a field value
`com.fasterxml.jackson.databind.node.ArrayNode` `getArray(String fieldId)` Gets an array field
`com.fasterxml.jackson.databind.JsonNode` `getAsJsonNode(String fieldId)` Gets the value of a property on the object as a JsonNode.
`BigDecimal` `getBigDecimal(String fieldId)`
`boolean` `getBoolean(String fieldId)`
`double` `getDouble(String fieldId)`
`int` `getInt(String fieldId)`
`long` `getLong(String fieldId)`
`com.fasterxml.jackson.databind.node.ObjectNode` `getObject()` Hands back the underlying json object
`com.fasterxml.jackson.databind.node.ObjectNode` `getObject(String fieldId)` Gets an object field
`String` `getString(String fieldId)`
`boolean` `has(String fieldId)`
`void` `putAll(GitanaObject obj)`
`void` `putAll(com.fasterxml.jackson.databind.node.ObjectNode obj)`
`protected void` `putObject(com.fasterxml.jackson.databind.node.ObjectNode obj)`
`void` `remove(String fieldId)` Remove a field value
`void` `set(String fieldId, Object value)` Sets a field value
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`
`String` `toJSONString(boolean pretty)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GitanaObjectImpl

    public GitanaObjectImpl()

#### GitanaObjectImpl

    public GitanaObjectImpl(com.fasterxml.jackson.databind.node.ObjectNode obj)

Parameters:
  `obj` -

### Method Detail

#### putObject

    protected void putObject(com.fasterxml.jackson.databind.node.ObjectNode obj)

#### getObject

    public com.fasterxml.jackson.databind.node.ObjectNode getObject()

Description copied from interface: `GitanaObject`
Hands back the underlying json object

Specified by:
  `getObject` in interface `GitanaObject`
Returns:

#### toJSON

    public com.fasterxml.jackson.databind.node.ObjectNode toJSON()

Specified by:
  `toJSON` in interface `JSONable`
Returns:
  json object node for this object

#### toJSONString

    public String toJSONString(boolean pretty)

Specified by:
  `toJSONString` in interface `JSONable`
Returns:
  json representation of this object

#### getAsJsonNode

    public com.fasterxml.jackson.databind.JsonNode getAsJsonNode(String fieldId)

Description copied from interface: `GitanaObject`
Gets the value of a property on the object as a JsonNode.

Specified by:
  `getAsJsonNode` in interface `GitanaObject`
Returns:

#### get

    public Object get(String fieldId)

Description copied from interface: `GitanaObject`
Gets a field value

Specified by:
  `get` in interface `GitanaObject`
Returns:
  field value or null if not found

#### getObject

    public com.fasterxml.jackson.databind.node.ObjectNode getObject(String fieldId)

Description copied from interface: `GitanaObject`
Gets an object field

Specified by:
  `getObject` in interface `GitanaObject`
Returns:
  null if not founds

#### getArray

    public com.fasterxml.jackson.databind.node.ArrayNode getArray(String fieldId)

Description copied from interface: `GitanaObject`
Gets an array field

Specified by:
  `getArray` in interface `GitanaObject`
Returns:
  null if not found

#### has

    public boolean has(String fieldId)

Specified by:
  `has` in interface `GitanaObject`
Returns:
  whether the document has the given field

#### remove

    public void remove(String fieldId)

Description copied from interface: `GitanaObject`
Remove a field value

Specified by:
  `remove` in interface `GitanaObject`

#### set

    public void set(String fieldId,
                    Object value)

Description copied from interface: `GitanaObject`
Sets a field value

Specified by:
  `set` in interface `GitanaObject`

#### getBoolean

    public boolean getBoolean(String fieldId)

Specified by:
  `getBoolean` in interface `GitanaObject`

#### getString

    public String getString(String fieldId)

Specified by:
  `getString` in interface `GitanaObject`

#### getInt

    public int getInt(String fieldId)

Specified by:
  `getInt` in interface `GitanaObject`

#### getLong

    public long getLong(String fieldId)

Specified by:
  `getLong` in interface `GitanaObject`

#### getDouble

    public double getDouble(String fieldId)

Specified by:
  `getDouble` in interface `GitanaObject`

#### getBigDecimal

    public BigDecimal getBigDecimal(String fieldId)

Specified by:
  `getBigDecimal` in interface `GitanaObject`

#### putAll

    public void putAll(com.fasterxml.jackson.databind.node.ObjectNode obj)

Specified by:
  `putAll` in interface `GitanaObject`

#### putAll

    public void putAll(GitanaObject obj)

Specified by:
  `putAll` in interface `GitanaObject`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### _objectGetObject

    protected com.fasterxml.jackson.databind.node.ObjectNode _objectGetObject(String objectFieldId,
                                                                              String fieldId)

#### _objectGetString

    protected String _objectGetString(String objectFieldId,
                                      String fieldId)

#### _objectGetInt

    protected int _objectGetInt(String objectFieldId,
                                String fieldId)

#### _objectGetLong

    protected long _objectGetLong(String objectFieldId,
                                  String fieldId)

#### _objectSet

    protected void _objectSet(String objectFieldId,
                              String fieldId,
                              Object value)